Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153960 - It fails in the unpacking of squid-2.4.STABLE7-1.21as.5.src.rpm
Summary: It fails in the unpacking of squid-2.4.STABLE7-1.21as.5.src.rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: squid
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 05:28 UTC by Yoshinori KUNIGA
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-489
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 12:08:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:489 normal SHIPPED_LIVE Low: squid security update 2005-06-13 04:00:00 UTC

Description Yoshinori KUNIGA 2005-04-06 05:28:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
It fails in the unpacking of squid-2.4.STABLE7-1.21as.5.src.rpm.

$ rpmbuild -bp --nodeps squid.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.10986
+ umask 022
+ cd /home/ykuniga/rpm/BUILD
+ cd /home/ykuniga/rpm/BUILD
+ rm -rf squid-2.4.STABLE7
+ /bin/gzip -dc /home/ykuniga/rpm/SOURCES/squid-2.4.STABLE7-src.tar.gz
+ tar -xf -
  :   :   :
  :   :   :
Patch #216 (squid-2.5.STABLE3-dns_assert.patch):
+ patch -p1 -b --suffix .dns_assert -s
+ find errors -name '*.header_parsing' -print0
+ xargs -0 rm
rm: too few arguments
Try `rm --help' for more information.
error: Bad exit status from /var/tmp/rpm-tmp.10986 (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.10986 (%prep)


Version-Release number of selected component (if applicable):
squid-2.4.STABLE7-1.21as.5

How reproducible:
Always

Steps to Reproduce:
1. export PATCH_VERSION_CONTROL=t
2. rpmbuild -bp --nodeps squid.spec


Actual Results:  It fails in the unpacking.

Expected Results:  It succeeds in the unpacking.

Additional info:

Example patch:
--- squid.spec.orig     Thu Feb 17 06:07:17 2005
+++ squid.spec  Wed Apr  6 14:26:51 2005
@@ -85,7 +85,7 @@

 # The install for the error files below does the wrong thing if
 # patch left .xxx files in the errors directory
-find errors -name '*.header_parsing' -print0 | xargs -0 rm
+find errors -name '*.header_parsing' -print0 | xargs -0 rm -f

 rm -rf auth_moudles/MSNT/*
 mv msntauth-v2.0.3-squid.2/* auth_modules/MSNT/

Comment 1 Josh Bressers 2005-06-13 12:08:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-489.html



Note You need to log in before you can comment on or make changes to this bug.